config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
preserve_perms() {
  NEW="$1"
  OLD="$(dirname ${NEW})/$(basename ${NEW} .new)"
  if [ -e ${OLD} ]; then
    cp -a ${OLD} ${NEW}.incoming
    cat ${NEW} > ${NEW}.incoming
    mv ${NEW}.incoming ${NEW}
  fi
  config ${NEW}
}
( cd lib ; rm -rf libpam.so )
( cd lib ; ln -sf libpam.so.0.85.1 libpam.so )
( cd lib ; rm -rf libpam.so.0 )
( cd lib ; ln -sf libpam.so.0.85.1 libpam.so.0 )
( cd lib ; rm -rf libpam_misc.so )
( cd lib ; ln -sf libpam_misc.so.0.82.1 libpam_misc.so )
( cd lib ; rm -rf libpam_misc.so.0 )
( cd lib ; ln -sf libpam_misc.so.0.82.1 libpam_misc.so.0 )
( cd lib ; rm -rf libpamc.so )
( cd lib ; ln -sf libpamc.so.0.82.1 libpamc.so )
( cd lib ; rm -rf libpamc.so.0 )
( cd lib ; ln -sf libpamc.so.0.82.1 libpamc.so.0 )
( cd lib/security ; rm -rf pam_unix_acct.so )
( cd lib/security ; ln -sf pam_unix.so pam_unix_acct.so )
( cd lib/security ; rm -rf pam_unix_auth.so )
( cd lib/security ; ln -sf pam_unix.so pam_unix_auth.so )
( cd lib/security ; rm -rf pam_unix_passwd.so )
( cd lib/security ; ln -sf pam_unix.so pam_unix_passwd.so )
( cd lib/security ; rm -rf pam_unix_session.so )
( cd lib/security ; ln -sf pam_unix.so pam_unix_session.so )
